import request from "@/util/request";
import setting from '@/util/setting'
const prefix = setting.suffix

export const categoryList = params => request.get(prefix + '/job-category/list', {params})
export const categoryUpdate = data => request.post(prefix + '/job-category/submit', data)
export const categoryDel = params => request.post(prefix + '/job-category/delete', {}, {params})

export const jobList = params => request.get(prefix + '/job/page', {params})
export const jobSubmit = data => request.post(prefix + '/job/define', data)
export const jobRun = id => request.post(prefix + '/job/run/' + id)
export const jobDetail = id => request.get(prefix + '/job/info?id=' + id)
export const jobCheck = (id, status) => request.post(prefix + `/job/switch/${id}?jobStatus=${status}`)
export const jobPreview = (key, data) => request.post(prefix + `/job-instance/preview/${key}`, data)

export const instanceList = params => request.get(prefix + '/job-instance/page', {params})
export const instanceGoon = params => request.post(prefix + '/job-instance/recover', {}, {params})
export const instanceCancel = params => request.post(prefix + '/job-instance/cancel', {}, {params})
export const instanceDel = params => request.post(prefix + '/job-instance/delete', {}, {params})
export const instanceStat = data => request.post(prefix + '/job-instance/stat', data,)

// source_localfile
export const sourceLocalfileList = params => request.post(prefix + '/job-connector/config3', params)
// source_ftp 数据
export const ftpData = params => request.post(prefix + '/file-upload/readStructure/' + params.ftpType, params)
// http接口
export const httpData = params => request.post(prefix + '/http/execute', params)

// 修改 任务调度
export const jobScheduleSet = params => request.post(prefix + '/job/submitcron', params)

// 删除流程
export const deleteJob = params => request.post(prefix + '/job/delete?id=' + params)
