import request from "@/util/request";
import setting from '@/util/setting'
const prefix = setting.suffix

export const categoryList = params => request.get(prefix + '/sqljob-category/list', {params})
export const categoryUpdate = data => request.post(prefix + '/sqljob-category/submit', data)
export const categoryDel = params => request.post(prefix + '/sqljob-category/delete', {}, {params})

export const jobSave = data => request.post(prefix + '/sqljob/submit', data)
export const jobList = params => request.get(prefix + '/sqljob/page', {params})
export const jobDetail = params => request.get(prefix + '/sqljob/info', {params})
export const jobRun = id => request.post(prefix + '/sqljob/run/' + id)
export const jobCheck = (id, status) => request.post(prefix + `/sqljob/switch/${id}?jobStatus=${status}`)
export const jobDelete = params => request.post(prefix + '/sqljob/delete?id=' + params)
export const jobScheduleSet = params => request.post(prefix + '/sqljob/submitcron', params)

export const instanceList = params => request.get(prefix + '/sqljob-instance/merge-page', {params})
export const instanceGoon = params => request.post(prefix + '/sqljob-instance/recover', {}, {params})
export const instanceCancel = params => request.post(prefix + '/sqljob-instance/cancel', {}, {params})
export const instanceDel = params => request.post(prefix + '/sqljob-instance/delete', {}, {params})
export const instanceStat = data => request.post(prefix + '/sqljob-instance/stat', data,)
export const instanceDetailList = params => request.get(prefix + '/sqljob-instance/page', {params},)

export const sqlTest = (id, data) => request.post(prefix + '/sqljob-script/run/' + id, data,)
export const sqlTestGetRes = data => request.post(prefix + '/sqljob-script/data-browser', data)