import {createApp} from 'vue';
import App from './App.vue';
let app = createApp(App)

// 路由设置
import router from './router';
app.use(router)

// 静态资源
import '@/registerServiceWorker';
import '@/assets/style/normalize.css';
import '@/assets/style/base.scss';
import '@/assets/style/nodeStyle.scss'
import '@/assets/style/yanxiang.scss'
import '@/util/graphSetting'

// 事件总线
import mitt from 'mitt';
app.config.globalProperties.$bus = mitt();

// 三方组件
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
app.use(ElementPlus, {locale: zhCn, size: 'default'})

import JsonViewer from "vue3-json-viewer"
app.use(JsonViewer)

import '@/util/ace.config'

// 自定义组件
import JsonPath from "@/components/jsonPath/index.vue";
app.component('json-path', JsonPath)

import myPage from '@/components/myPage'
app.component('my-page', myPage)

import * as ElementPlusIconsVue from '@element-plus/icons-vue'
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// icon组件
import '@/components/icon'
import Icon from '@/components/icon/icon.vue'
app.component('icon', Icon)

// 节点组件
import etlNodes from '@/etlNodes'
app.use(etlNodes)

import directives from "@/util/directives";
directives(app)

app.mount('#app');
import {handleThemeStyle} from '@/util/theme'
handleThemeStyle('#eb5a10')
window.logjson = function (obj) {
  console.log(JSON.parse(JSON.stringify(obj)));
};
