import {createRouter, createWebHashHistory} from 'vue-router';
import store from "@/store";
export const routes = [
  {
    path: "/",
    meta: {title: '首页', icon: 'homeFull',},
    component: () => import("../views/index.vue")
  },
  {
    path: "/job/list",
    meta: {title: '流程列表', icon: 'instance',},
    component: () => import("../views/job/list.vue")
  },
  {
    path: "/instance/list",
    meta: {title: '任务列表', icon: 'project',},
    component: () => import("../views/instance/list.vue")
  },
  {
    path: "/batchTask/list",
    meta: {title: '批量任务', icon: 'batchTask',},
    component: () => import("../views/batchTask/list.vue")
  },
  {
    path: "/batchInstance/list",
    meta: {title: '批量任务实例', icon: 'instance2',},
    component: () => import("../views/batchInstance/list.vue")
  },
  {
    path: "/sqlTask/list",
    meta: {title: 'sql任务', icon: 'sql',},
    component: () => import("../views/sqlTask/list.vue")
  },
  {
    path: "/sqlInstance/list",
    meta: {title: 'sql任务实例', icon: 'instance2',},
    component: () => import("../views/sqlInstance/list.vue")
  },
];
const hiddenRoutes = [
  {
    path: "/job/edit",
    meta: {title: '流程编辑', icon: 'menu',},
    component: () => import("../views/job/edit.vue")
  },
  {
    path: "/batchTask/edit",
    meta: {title: '批量任务编辑', icon: 'project',},
    component: () => import("../views/batchTask/edit.vue")
  },
  {
    path: "/sqlTask/edit",
    meta: {title: 'sql任务编辑', icon: 'batchTask',},
    component: () => import("../views/sqlTask/edit.vue")
  },
    //字段映射
  {
    path: "/fieldMap",
    meta: {title: '字段映射', icon: 'batchTask',},
    component: () => import("../views/fieldMap/index.vue")
  },
  {
    path: "/fieldReserved",
    meta: {title: '保留字段', icon: 'batchTask',},
    component: () => import("../views/fieldReserved/index.vue")
  },
  {
    path: "/test",
    meta: {title: '测试', icon: 'menu',},
    component: () => import("../views/test.vue")
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes: [...routes, ...hiddenRoutes]
});
router.beforeEach((to, from, next) => {
  store.commit('setting/pushTags', {path: to.fullPath, title: to.meta.title})
  next()
})
export default router;
