import {categoryList} from '@/api/batch'
import {deepCopy} from "@/util";

export default {
  state: {
    batchCateList: [],
    batchCateTree: [],
    batchCateParents: [],
  },
  mutations: {
    SET_BATCH_CATE: (state, {batchCateList, batchCateTree, batchCateParents}) => {
      state.batchCateList = batchCateList;
      state.batchCateTree = batchCateTree;
      state.batchCateParents = batchCateParents;
    },
  },
  actions: {
    getBatchCate({commit}) {
      return new Promise((resolve, reject) => {
        categoryList().then(res => {
          let data = {};
          // 设置平铺列表
          let origin = res.data || [];
          origin.forEach(i => delete i.children);
          data.batchCateList = origin;
          // 设置分类树
          let parents = data.batchCateList.filter(i => !i.parentId).sort((b, a) => b.sortNum - a.sortNum);
          parents.forEach(p => {
            let children = data.batchCateList.filter(i => i.parentId === p.id);
            if (children) {
              p.children = children.sort((b, a) => b.sortNum - a.sortNum);
              children.forEach(pp => {
                let children2 = data.batchCateList.filter(i => i.parentId === pp.id);
                if (children2) pp.children = children2.sort((b, a) => b.sortNum - a.sortNum);
              });
            }
          });
          data.batchCateTree = parents;
          // 设置父级分类树
          let categoryList = deepCopy(data.batchCateList);
          categoryList.forEach(i => delete i.children);
          categoryList.forEach(i => (i.disabled = false));
          let parents2 = categoryList.filter(i => !i.parentId).sort((b, a) => b.sortNum - a.sortNum);
          parents2.forEach(p => {
            let children = categoryList.filter(i => i.parentId === p.id);
            if (children) p.children = children.sort((b, a) => b.sortNum - a.sortNum);
          });
          parents2.unshift({cateName: '顶级分类', id: 0});
          data.batchCateParents = parents2;
          commit('SET_BATCH_CATE', data);
          resolve();
        });
      });
    },
  },
  getters: {
    batchCateTreeSearched(state) {
      return key => {
        if (!key) {
          return [{cateName: '所有分类', id: 0, parentId: 0}, ...state.batchCateTree];
        } else {
          let batchCateList = deepCopy(state.batchCateList);
          batchCateList.forEach(i => delete i.children);
          return [
            ...batchCateList.filter(i => i.cateName.includes(key)),
          ];
        }
      };
    },
    batchCateTree(state) {
      return state.batchCateTree
    },
    batchCateParents(state) {
      return state.batchCateParents
    },
    batchCateList(state) {
      return state.batchCateList
    }
  }
}