import {dsList} from "@/api/source";

export default {
  namespaced: true,
  state: () => ({
    dsList: [],
    dsListClickHouse: [],
  }),
  mutations: {},
  actions: {
    // 获取数据源列表
    getDsList(ctx, force) {
      return new Promise((resolve, reject) => {
        if (!force && ctx.state.dsList.length) {
          return resolve();
        }
        dsList({size: 10000, current: 1}).then((res) => {
          ctx.state.dsList = res.data.records;
          resolve();
        });
      });
    },
    getDsListClickHouse(ctx, force) {
      return new Promise((resolve, reject) => {
        if (!force && ctx.state.dsListClickHouse.length) {
          return resolve();
        }
        dsList({
          size: 10000,
          current: 1,
          dsType: 4,
        }).then((res) => {
          ctx.state.dsListClickHouse = res.data.records;
          resolve();
        });
      });
    },
  },
  getters: {},
};
