import {categoryList} from '@/api/job'
import {deepCopy} from "@/util";

export default {
  state: {
    jobCateList: [],
    jobCateTree: [],
    jobCateParents: [],
  },
  mutations: {
    SET_JOB_CATE: (state, {jobCateList, jobCateTree, jobCateParents}) => {
      state.jobCateList = jobCateList;
      state.jobCateTree = jobCateTree;
      state.jobCateParents = jobCateParents;
    },
  },
  actions: {
    getJobCate({commit}) {
      return new Promise((resolve, reject) => {
        categoryList().then(res => {
          let data = {};
          // 设置平铺列表
          let origin = res.data || [];
          origin.forEach(i => delete i.children);
          data.jobCateList = origin;
          // 设置分类树
          let parents = data.jobCateList.filter(i => !i.parentId).sort((b, a) => b.sortNum - a.sortNum);
          parents.forEach(p => {
            let children = data.jobCateList.filter(i => i.parentId === p.id);
            if (children) {
              p.children = children.sort((b, a) => b.sortNum - a.sortNum);
              children.forEach(pp => {
                let children2 = data.jobCateList.filter(i => i.parentId === pp.id);
                if (children2) pp.children = children2.sort((b, a) => b.sortNum - a.sortNum);
              });
            }
          });
          data.jobCateTree = parents;
          // 设置父级分类树
          let categoryList = deepCopy(data.jobCateList);
          categoryList.forEach(i => delete i.children);
          categoryList.forEach(i => (i.disabled = false));
          let parents2 = categoryList.filter(i => !i.parentId).sort((b, a) => b.sortNum - a.sortNum);
          parents2.forEach(p => {
            let children = categoryList.filter(i => i.parentId === p.id);
            if (children) p.children = children.sort((b, a) => b.sortNum - a.sortNum);
          });
          parents2.unshift({cateName: '顶级分类', id: 0});
          data.jobCateParents = parents2;
          commit('SET_JOB_CATE', data);
          resolve();
        });
      });
    },
  },
  getters: {
    jobCateTreeSearched(state) {
      return key => {
        if (!key) {
          return [{cateName: '所有分类', id: 0, parentId: 0}, ...state.jobCateTree];
        } else {
          let jobCateList = deepCopy(state.jobCateList);
          jobCateList.forEach(i => delete i.children);
          return [
            ...jobCateList.filter(i => i.cateName.includes(key)),
          ];
        }
      };
    },
    jobCateTree(state) {
      return state.jobCateTree
    },
    jobCateParents(state) {
      return state.jobCateParents
    }
  }
}