import {categoryDel, categoryList, categoryUpdate} from '@/api/sql'
import util from "@/util";

export default {
  namespaced: true,
  state: () => ({
    categoryList: [],
    wholeCategoryList: [],
  }),
  mutations: {},
  actions: {
    // 获取任务分类列表
    getCategoryList(ctx) {
      return new Promise((resolve, reject) => {
        categoryList().then(res => {
          let data = res.data
          let parents = util.countCategoryTree(data)
          parents.forEach(item => util.setCategoryIds([], item))
          ctx.state.wholeCategoryList = data
          ctx.state.categoryList = parents
          resolve()
        })
      })
    },
    // 更新任务分类
    updateCategoey(ctx, data) {
      return new Promise((resolve, reject) => {
        categoryUpdate(data).then(res => {
          resolve()
          ctx.dispatch('getCategoryList')
        })
      })
    },
    // 删除任务分类
    delCategory(ctx, data) {
      return new Promise((resolve, reject) => {
        categoryDel(data).then(res => {
          resolve()
          ctx.dispatch('getCategoryList')
        })
      })
    },
  },
  getters: {}
}