const {defineConfig} = require('@vue/cli-service');
const NodePolyfillPlugin = require("node-polyfill-webpack-plugin")  // add
const path = require("path");
const setting = require('./src/util/setting')
let etlUrl='https://91iam-gateway.9n1m.com/bireport'

module.exports = defineConfig({
  publicPath: './',
  transpileDependencies: true,
  productionSourceMap: false,
  configureWebpack: {
    plugins:[new NodePolyfillPlugin()]
  },
  chainWebpack: (config) => {
    // 内置的svg处理排除指定目录下的文件
    config.module.rules.delete('svg')
    config.module
      .rule("svg-sprite-loader")
      .test(/\.svg$/)
      .include
      .add(path.join(__dirname, "src/components/icon"))
      .end()
      .use("svg-sprite-loader")
      .loader("svg-sprite-loader")
      .options({symbolId: "icon-[name]",});
  },
  devServer: {
    host: 'bi.9n1m.com',
    port: 80,
    client: {overlay: false},
    proxy: {
      "/etl-api": {
        target: etlUrl + "/etl-api",
        ws: true,
        pathRewrite: {"^/etl-api": "/",},
      },
      "/api": {
        target: setting.host + "/api",
        ws: true,
        pathRewrite: {"^/api": "/",},
      },
      "/bi-api": {
        target: setting.host + "/bi-api",
        ws: true,
        pathRewrite: {"^/bi-api": "/",},
      }
    }
  }
});
